//
//  Integral of singularity on tetrahedra and triangle
//  (c) 7.7.2007 Ingo D. Rullhusen
//

#ifndef SINGULARITY_H
#define SINGULARITY_H


#ifdef __cplusplus

extern "C" double IntInvR( double tx[4], double ty[4], double tz[4],
                           double px, double py, double pz );

extern "C" double Psing( int n, double *bx, double *by,       
                         double rx, double ry, double rz=0.0 );

#else

double IntInvR( double tx[4], double ty[4], double tz[4], 
                double px, double py, double pz );

double Psing( int n, double *bx, double *by,       
              double rx, double ry, double rz=0.0 );

#endif


#endif

